### Method

# Gtk FileChooser get_choice

#### Declaration [src]

    const char*
    gtk_file_chooser_get_choice (
      GtkFileChooser* chooser,
      const char* id
    )

#### Description [src]

Gets the currently selected option in the ‘choice’ with the given ID.

#### Parameters

`id` | `const char*`
| The ID of the choice to get.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `const char*`
| The ID of the currently selected option.
| The data is owned by the instance.
| The string is a NUL terminated UTF-8 string.